com.io7m.r2.core

## Class R2TextureDefaults

- java.lang.Object
- - com.io7m.r2.core.R2TextureDefaults

- All Implemented Interfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2TextureDefaultsType

      public final class R2TextureDefaults
      extends Object
      implements R2TextureDefaultsType

  The default implementation of the `R2TextureDefaultsType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)` Delete the current object.
    `boolean` | `isDeleted()`
    `static R2TextureDefaultsType` | `newDefaults(com.io7m.jcanephora.core.api.JCGLTexturesType g_t, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType tc)` Allocate the default textures.
    `R2Texture2DUsableType` | `texture2DBlack()`
    `R2Texture2DUsableType` | `texture2DNormal()`
    `R2Texture2DUsableType` | `texture2DProjectiveWhite()`
    `R2Texture2DUsableType` | `texture2DWhite()`
    `R2TextureCubeUsableType` | `textureCubeBlack()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newDefaults

          public static R2TextureDefaultsType newDefaults(com.io7m.jcanephora.core.api.JCGLTexturesType g_t,
                                                          com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType tc)

      Allocate the default textures.
      Parameters:
        `g_t` - A texture interface
        `tc` - A texture unit allocator
      Returns:
        A set of default textures

    - #### texture2DNormal

          public R2Texture2DUsableType texture2DNormal()

      Specified by:
        `texture2DNormal` in interface `R2TextureDefaultsType`
      Returns:
        A flat normal texture

    - #### texture2DWhite

          public R2Texture2DUsableType texture2DWhite()

      Specified by:
        `texture2DWhite` in interface `R2TextureDefaultsType`
      Returns:
        A flat white texture

    - #### texture2DBlack

          public R2Texture2DUsableType texture2DBlack()

      Specified by:
        `texture2DBlack` in interface `R2TextureDefaultsType`
      Returns:
        A flat black texture

    - #### texture2DProjectiveWhite

          public R2Texture2DUsableType texture2DProjectiveWhite()

      Specified by:
        `texture2DProjectiveWhite` in interface `R2TextureDefaultsType`
      Returns:
        A hard-edged white projective light texture

    - #### textureCubeBlack

          public R2TextureCubeUsableType textureCubeBlack()

      Specified by:
        `textureCubeBlack` in interface `R2TextureDefaultsType`
      Returns:
        A flat black texture

    - #### delete

          public void delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)
                      throws R2Exception

      Description copied from interface: `R2DeletableType`
      Delete the current object.
      Specified by:
        `delete` in interface `R2DeletableType`
      Parameters:
        `g` - An OpenGL interface
      Throws:
        `R2Exception` - On errors

    - #### isDeleted

          public boolean isDeleted()

      Specified by:
        `isDeleted` in interface `com.io7m.jcanephora.core.JCGLResourceUsableType`

Copyright © 2017 <code@io7m.com> http://io7m.com